#ifndef ANIMATION_VIEW_HPP_
#define ANIMATION_VIEW_HPP_

#include <string>

#include <Widget/Widget.hpp>
#include <Animation/Animation.hpp>

/**
 * @brief A widget which displays an animation.
 */
class AnimationView : public Widget
{
private:
    Animation &animation;

public:
    /**
     * @brief Construct the animation view.
     * 
     * @param animation The animation to display.
     */
    AnimationView(Animation &animation);

    virtual void draw(GraphicsContext &context) override;
    virtual glm::ivec2 getMinSize() override;
};

#endif